password_hash
password_verify
Password Hashing Functions
PHP Manual

# password_needs_rehash

(PHP 5 >= 5.5.0)

password_needs_rehash — Checks if the given hash matches the given options

### Description

boolean password_needs_rehash ( string `$hash` , string `$algo` [, string `$options` ] )

This function checks to see if the supplied hash implements the algorithm and options provided. If not, it is assumed that the hash needs to be rehashed.

### Parameters

`hash`

  A hash created by password_hash().

`algo`

  A password algorithm constant denoting the algorithm to use when hashing the password.

`options`

  An associative array containing options. See the password algorithm constants for documentation on the supported options for each algorithm.

### Return Values

Returns `TRUE` if the hash should be rehashed to match the given `algo` and `options`, or `FALSE` otherwise.

password_hash
password_verify
Password Hashing Functions
PHP Manual